# ReflectionClass::export

(PHP 5, PHP 7)

ReflectionClass::export — Exporta una clase

### Descripción

public static ReflectionClass::export(mixed `$argument`, bool `$return` = false): string

Exporta una clase reflejada.

### Parámetros

`argument`

  La reflexión a exportar.

`return`

  Configurarlo a `true` devolverá la exportación, a diferencia de emitirla. Configurarlo a `false` (el valor por defecto) hará lo contrario.

### Valores devueltos

Si el parámetro `return` es seteado a `true`, la exportación se devolverá como un string, de lo contrario se retornará `null`.

### Ejemplos

Ejemplo #1 Uso básico de ReflectionClass::export()

`<?php
class Apple {
public $var1;
public $var2 = 'Orange';
public function type() {
return 'Apple';
}
}
ReflectionClass::export('Apple');
?>`

El resultado del ejemplo sería algo similar a:

    Class [ <user> class Apple ] {
      @@ php shell code 1-8

      - Constants [0] {
      }

      - Static properties [0] {
      }

      - Static methods [0] {
      }

      - Properties [2] {
        Property [ <default> public $var1 ]
        Property [ <default> public $var2 ]
      }

      - Methods [1] {
        Method [ <user> public method type ] {
          @@ php shell code 5 - 7
        }
      }
    }

### Ver también

- ReflectionClass::getName() - Obtiene el nombre de la clase